Subject: Re: bug#58472: [PATCH] Make `message-unique-id' less prone to collisions

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Oct 2022 13:45:53 +0200

Stefan Kangas <[email-masked]> writes:

> For the first 1-2 characters, it uses the return value `user-uid', which
> on most single-user systems is a fixed value (for example, this gives us
> "87" on almost any single-user Debian machine).[1]  It's also
> unnecessarily leaky of potentially privacy sensitive information.

Well, since it is "87" on most machines, it's not very leaky.  😀

It's documented to be this way, though?  That is, we've got tricks like
being able to score on References based on your Message-ID to score up
threads you've been a part of, etc.